Description

Supportanfrage

Wir benutzen hier die ADTF File Library  0.4.1.

In der Datei adtf_file_0.4.1/source/src/libraries/adtf_file/src/adtf2/adtf2_stream_type_deserializers.cpp,

werden in den Zeilen 99 und 210: major_type, sub_type und flags als tInt32 in den stream_type properties beschrieben.

e.g.:    stream_type.setProperty("major", "tInt32", std::to_string(major_type));

stream_type.setProperty("sub", "tInt32", std::to_string(sub_type));

stream_type.setProperty("flags", "tInt32", std::to_string(flags));

Der Wert dazu: major_type(58, 128), sub_type(59, 129) und flags(60, 130) ist in den in klammerstehenden Zeilen als uint32_t

deklariert.

Nachdem sie zum "stream_ type" hinzugefügt wurden sind sie auf tInt32 (also int32_t nach ADTF Documentation 

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/types_8h.html#a261b79427c6fa0bcf57b71cd13ad0cc8) gesetzt.

Wenn wir uns auf den Typ welchen die adtf_file_library gibt verlassen würden, würde folgendes passieren:

cpp.sh/9czm3<http://cpp.sh/9czm3>

Ich hoffe das Beispiel erklärt das Problem besser.

In Zeile 222 werden major_type, sub_type und flags nicht zum "stream_ type" hinzugefügt wenn der

"AdtfCoreMediaTypeAudioDeserializer" benutzt wurde.

Könnt ihr euch das bitte anschauen?

Lösung

Ticket ACORE-10007 erstellt

History

#1 - 2019-05-07 09:04 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to FileLibrary::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF File Library 0.4.1 (BETA) added

#2 - 2019-05-07 09:35 - hidden

Hi Anja,

2024-04-28 1/3

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/types_8h.html#a261b79427c6fa0bcf57b71cd13ad0cc8
ist das bei euch ein praktisches oder theoretisches Problem? Klar kommts bei der Konvertierung von Werten größer 2^31 zu int32 zu einem Überlauf,

habt ihr so große Major und Subtypes? Ich erstelle dafür ein Ticket, dass das in tUInt32 abgeändert wird.

Bzlg. Audio. Das wird ja 1 zu 1 auf den adtf3 audio stream type gemapped, da brauchts dann keinen Major und Subtype mehr, für was würdet ihr die

Information benötigen?

Grüße,

Martin

#3 - 2019-05-07 09:42 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers set to ACORE-10007

Ich hab Ticket ACORE-10007 erstellt, passt das dann so für Dich?

#4 - 2019-05-07 12:45 - hidden

Hallo Martin,

schau mal in meine Kommenare unten.

Danke und Grüße,

Anja

#5 - 2019-05-07 13:24 - hidden

Hi Anja,

ich seh leider keine Kommentare, wo sind die denn?

#6 - 2019-05-07 13:52 - hidden

Hallo Martin,

Euer System hat den Rest der Email weggeschnitten. Ich habe dir das Ganze grad nochmal direkt in das Ticket kommentiert.

ist das bei euch ein praktisches oder theoretisches Problem? Klar kommts bei der Konvertierung von Werten größer 2^31 zu int32 zu einem

Überlauf, habt ihr so große Major und Subtypes? Ich erstelle dafür ein Ticket, dass das in tUInt32 abgeändert wird.

 Das sind reale Anwendungsfälle bei den custom definierten major subtypes.

Bzlg. Audio. Das wird ja 1 zu 1 auf den adtf3 audio stream type gemapped, da brauchts dann keinen Major und Subtype mehr, für was würdet

ihr die Information benötigen?

 In dem Fall geht es um einen adtf2 audio stream type. Sprich wir mappen da nichts auf den adtf3 audio stream type.

Grüße,

Anja

#7 - 2019-05-08 08:05 - hidden

- Subject changed from EBPRODUCTSUPPORT-3676 FW: adtf_file_library: audio major; sub and flags bug to EBPRODUCTSUPPORT-3676 ADTF2

Legacy Types use tInt32 instead of tUInt32 for storing the Major, Subtype and Flags

- Status changed from Customer Feedback Required to In Progress

- Product Issue Numbers changed from ACORE-10007 to https://www.cip.audi.de/jira/browse/ACORE-10007

[OFF TOPIC]

Euer System hat den Rest der Email weggeschnitten. Ich habe dir das Ganze grad nochmal direkt in das Ticket kommentiert.

 @Anja: Es wird alles importiert was in der Mail über

--- Please enter your reply or information you would like to add to your support request right above this line

.

 steht, darauf bitte achten.
#8 - 2019-05-08 13:52 - hidden

Habt ihr eventuell eine Vorabversion für uns?

Danke und Grüße,

Anja

#9 - 2019-05-10 08:44 - hidden

- Project changed from 7 to Public Support

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

Hi Anja,

ihr habt ja den Source Code der File Library und könnt das selbst anpassen, die Umsetzung muss erst noch eingeplant werden.

#10 - 2019-07-19 08:17 - hidden

- Description updated

- Status changed from To Be Closed to Closed
